Bug 35599 - Pronouns and HidePersonalPatronDetailOnCirculation
Summary: Pronouns and HidePersonalPatronDetailOnCirculation
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: Main
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords: release-notes-needed
Depends on: 10950
Blocks:
  Show dependency treegraph
 
Reported: 2023-12-19 10:19 UTC by pierre.genty
Modified: 2024-04-05 09:52 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 35599: Fix Pronouns and HidePersonalPatronDetailOnCirculation (1.67 KB, patch)
2024-03-25 14:59 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 35599: Fix Pronouns and HidePersonalPatronDetailOnCirculation (1.72 KB, patch)
2024-03-27 14:05 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 35599: Fix Pronouns and HidePersonalPatronDetailOnCirculation (1.78 KB, patch)
2024-03-27 16:48 UTC, Lucas Gass
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description pierre.genty 2023-12-19 10:19:36 UTC
Bug 10950 (https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=10950) adds a pronoun text field to the patron record. 
The display of this field depends on HidePersonalPatronDetailOnCirculation but the description of this syspref only mentions phone number, email address, street address and city. Pronoun should be added to this description.
Comment 1 Fridolin Somers 2024-03-25 14:48:26 UTC
I think pronouns are very useful for circulation.
When user has first name and surname it makes sense to have pronouns.

So I propose to move pronouns outside HidePersonalPatronDetailOnCirculation block.
Comment 2 Fridolin Somers 2024-03-25 14:59:06 UTC
Created attachment 163821 [details] [review]
Bug 35599: Fix Pronouns and HidePersonalPatronDetailOnCirculation

Bug 10950 adds a pronouns text field to the patron record.
Currently it is hidden by system preference 'HidePersonalPatronDetailOnCirculation'.

This patch moves pronouns outside this system preference influence.

Test plan:
1) Add pronouns to a patron
2) Set system preference 'HidePersonalPatronDetailOnCirculation' to "Don't hide"
3) Check you see pronouns in circulation page
   /cgi-bin/koha/circ/circulation.pl?borrowernumber=X
4) Set system preference 'HidePersonalPatronDetailOnCirculation' to "Hide"
5) Refresh circulation page
=> Without patch pronouns are hidden
=> With patch pronouns are displayed
Comment 3 pierre.genty 2024-03-26 15:02:01 UTC
It works for me : address or phone number are hidden but pronom still displays. Someone else to test and sign off ?
Comment 4 ByWater Sandboxes 2024-03-27 14:05:44 UTC
Created attachment 164006 [details] [review]
Bug 35599: Fix Pronouns and HidePersonalPatronDetailOnCirculation

Bug 10950 adds a pronouns text field to the patron record.
Currently it is hidden by system preference 'HidePersonalPatronDetailOnCirculation'.

This patch moves pronouns outside this system preference influence.

Test plan:
1) Add pronouns to a patron
2) Set system preference 'HidePersonalPatronDetailOnCirculation' to "Don't hide"
3) Check you see pronouns in circulation page
   /cgi-bin/koha/circ/circulation.pl?borrowernumber=X
4) Set system preference 'HidePersonalPatronDetailOnCirculation' to "Hide"
5) Refresh circulation page
=> Without patch pronouns are hidden
=> With patch pronouns are displayed

Signed-off-by: Hebah <hebah@bywatersolutions.com>
Comment 5 hebah 2024-03-27 14:06:55 UTC
Works as described.
Comment 6 Lucas Gass 2024-03-27 16:48:28 UTC
Trivial change that looks good to me.
Comment 7 Lucas Gass 2024-03-27 16:48:52 UTC
Created attachment 164011 [details] [review]
Bug 35599: Fix Pronouns and HidePersonalPatronDetailOnCirculation

Bug 10950 adds a pronouns text field to the patron record.
Currently it is hidden by system preference 'HidePersonalPatronDetailOnCirculation'.

This patch moves pronouns outside this system preference influence.

Test plan:
1) Add pronouns to a patron
2) Set system preference 'HidePersonalPatronDetailOnCirculation' to "Don't hide"
3) Check you see pronouns in circulation page
   /cgi-bin/koha/circ/circulation.pl?borrowernumber=X
4) Set system preference 'HidePersonalPatronDetailOnCirculation' to "Hide"
5) Refresh circulation page
=> Without patch pronouns are hidden
=> With patch pronouns are displayed

Signed-off-by: Hebah <hebah@bywatersolutions.com>
Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 8 Katrin Fischer 2024-04-05 09:17:02 UTC
Please add a note to the release notes about this change.
Comment 9 Katrin Fischer 2024-04-05 09:52:18 UTC
Pushed for 24.05!

Well done everyone, thank you!